import request from '@/utils/request'

// 查询护理任务记录列表
export function listRecords(query) {
  return request({
    url: '/care/records/list',
    method: 'get',
    params: query
  })
}

// 查询护理任务记录详细
export function getRecords(nursingRecordId) {
  return request({
    url: '/care/records/' + nursingRecordId,
    method: 'get'
  })
}

// 新增护理任务记录
export function addRecords(data) {
  return request({
    url: '/care/records',
    method: 'post',
    data: data
  })
}

// 修改护理任务记录
export function updateRecords(data) {
  return request({
    url: '/care/records',
    method: 'put',
    data: data
  })
}

// 删除护理任务记录
export function delRecords(nursingRecordId) {
  return request({
    url: '/care/records/' + nursingRecordId,
    method: 'delete'
  })
}
